NixOS-speak
===

## Aims
NixOS as of now is [not accessible to blind people](https://github.com/NixOS/nixpkgs/issues/30760), this projects aim is to mend this issue.

## Getting Started
### Getting the installation image
As of now an existing installation of Nix is needed (see [Installing a Binary Distribution](https://nixos.org/nix/manual/#ch-installing-binary)).  
If there are enough people interested I may end up providing pre-built images.

After installing nix just clone this repo and run
```nix
nix-build release.nix -A image.<target>
```

The currently available targets are:
- minimal
- mate

### Integrate this module into your existing NixOS configuration
Installing the speak submodule is as simple as adding:
```nix
{ config, ... }:

{
  imports = [
    (fetchTarball git.ophanim.de/derped/NixOS-Speak/archive/master.tar.gz)
  ];

  config.speak = {
    enable = true;
    config.speakup = {
      synth = "soft";
      key_echo = "0";
      punc_level = "0";
      reading_punc = "0";
      soft = {
        rate = "7";
        vol = "0";
      };
    };
  };
}
```
to your configuration.

## Status/Progress
Current Feature Progress (more will be added later):
- TTY
  - ✓ espeak
  - ✓ espeakup
- Desktop
  - ❌ orca
  - ❌ speechd
