{ stdenv, fetchFromGitHub
, espeak-classic }:

stdenv.mkDerivation rec {
  name = "espeakup";
  version = "0.80.${rev}";
  rev = "e69d61b2d88d8dc679558dea03c48130127102ac";

  buildInputs = [ espeak-classic ];

  src = fetchFromGitHub {
    owner = "williamh";
    repo = name;
    inherit rev;
    sha256 = "0zs5asvxavbibpi98pnhl9y2yc701nxf7h17xm6a1q3liippvix1";
  };

  patchPhase = ''
    substituteInPlace Makefile --replace "/usr/local" $out
  '';
  meta = with stdenv.lib; {
    description = "espeakup is a program which makes it possible for speakup to use the espeak software synthesizer.";
    homepage = "https://github.com/williamh/espeakup";
    platforms = platforms.linux;
  };
}
